Subject: Re: cygwin make and Windows 2000?
From: Earnie Boyd <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 8 Jun 2000 09:28:57 -0700 (PDT)

--- "John E. Young" <[email-masked]> wrote:
> >--- "John E. Young" <[email-masked]> wrote:
> >> Folks,
> >> 
> >>     Is anyone succesfully using make under Windows 2000?
> >> I installed cygwin 1.1 yesterday on my windows machine.
> >> Most things see to work pretty well, but then I tried 
> >> building GNU Hello (I figured that I would try something
> >> simple before trying to port the real code I need to move)
> >> The configure script seems to have worked properly, but
> >> when I type 'make', I get the error:
> >> 
> >> Makefile:55: *** commands commence before first target.  Stop
> >> 
> >
> >It might help to know what's before, on and after line 55 of Makefile.  The
> >output of `cygcheck -v -s -r' pasted in a mail would be useful.
> >
> Earnie,
> 
>     Here are lines 50-60:
> 
> SRCS = hello.c version.c getopt.c getopt1.c alloca.c
> OBJS = hello.o version.o getopt.o getopt1.o 
> HDRS = getopt.h
> DISTFILES = $(SRCS) $(HDRS) COPYING ChangeLog NEWS Makefile.in \
> 	    README INSTALL hello.texi hello.?? hello.??s gpl.texinfo \
> 	    configure configure.in \
> 	    mkinstalldirs texinfo.tex hello.info testdata TAGS
> 
> all: hello
> ..PHONY: all
> 

Your problem is the infamous \r\n line endings with binary mode default
processing.

> And here is the output of 'cygcheck -v -s -r':
> 
-8<-
> 
> C:\bin  /usr/bin  user    binmode
> C:\lib  /usr/lib  user    binmode
> C:    /        user    binmode
> d:    /d       user    textmode
> e:    /e       user    textmode
> 

To work around your problem:

mount -f -t c:/ /
mount -f -t c:/bin /usr/bin
mount -f -t c:/lib /usr/lib

-8<-
>   569k 2000/05/15 C:\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2000/5/14 23:48
-8<-

You need to update to version 1.1.2 or you'll still have problems.

Regards,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Photos -- now, 100 FREE prints!
http://photos.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]